## bridge.tar.gz

=== Makefile ===

CC	= gcc -O2
INC	= -I/usr/include/linux


brcfg: brcfg.o
	$(CC) -s -o brcfg brcfg.o

brcfg.o: brcfg.c
	$(CC) $(INC) -c brcfg.c

clean:
	 rm *~ *.o brcfg

=== debian/control ===
Source: bridge
Section: net
Priority: extra
Maintainer: Christoph Lameter <clameter@waterf.org>
Standards-Version: 2.1.0.0

Package: bridge
Architecture: any
Depends: ${shlibs:Depends}, netbase
Description: Bridge Control software and Documentation
 The 2.0.X Linux Kernels support Bridging. This modules contains
 documentation and a tool to configure bridging.
 Any protocol can be bridged not only protocols that are supported by the
 Kernel. Bridging is very efficient by determining which Ethernet MAC
 addresses are on which side of the Bridge and forwarding only packets
 that are necessary. Linux will work like an Ethernet Switch!
 .
 CAUTION: The bridiging code in the kernel is experimental and Debian
 kernels do not have bridging enabled by default. You might have to 
 compile and patch a kernel to get this going.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# There used to be `source' and `diff' targets in this file, and many
# packages also had `changes' and `dist' targets.  These functions
# have been taken over by dpkg-source, dpkg-genchanges and
# dpkg-buildpackage in a package-independent way, and so these targets
# are obsolete.

package=bridge

build:
	$(checkdir)
	make
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
#	-$(MAKE) -f Makefile.dist realclean
	-rm `find . -name "*~"`
	-rm -rf debian/tmp debian/files*

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN
	install -d -g root -m 755 -o root debian/tmp/usr/doc/copyright \
		debian/tmp/usr/sbin debian/tmp/usr/man/man8 \
		debian/tmp/usr/doc/$(package) \
		debian/tmp/etc/init.d
	install -m755 brcfg debian/tmp/usr/sbin
	install -m755 bridge debian/tmp/etc/init.d
	install -m644 brcfg.8 debian/tmp/usr/man/man8
	cp doc/* debian/tmp/usr/doc/$(package)/.
	install -g root -m 644 -o root doc/copyright debian/tmp/usr/doc/copyright/$(package)
	chmod a+r debian/tmp/usr/doc/$(package)/*
	cp debian/prerm debian/postinst debian/postrm debian/tmp/DEBIAN
	chmod a+x debian/tmp/DEBIAN/prerm debian/tmp/DEBIAN/postinst debian/tmp/DEBIAN/postrm
	dpkg-shlibdeps brcfg
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
